function Q = costFunction(y,u,phi)
 % y - measurements
 % u - input
 % phi - parameter vector to identify
 % x_ estimated states of the system
 % y_estimated output of the system
 
    nData = length(y);
    y_est = NaN(1,nData);
    x_est = NaN(2,nData);
    x_est(:,1) = zeros(2,1);
    y_est(1) = 0;

    for ii = 2:nData
        [x_est(:,ii)] = muscularFatigue(x_est(:,ii-1),u(ii-1),phi); % X(k+1) = Ax(k)+BU
        y_est(ii) = muscularFatigueOutput(x_est(:,ii),u(ii),phi);
    end


    Q = norm(y-y_est,2)^2; % cost function = MSE 
    
end