const int sensorPin = A0;
const int numReadings = 3;
int readings[ numReadings ]; // the readings from the analog input
int i = 0; // the index of the current reading
float total = 0; // the running total
float average = 0; // the average
int pumpCount = 0; //counting how often the pump inflates
//int offsetArray[ 6 ][ 2 ] = { { 1, 2 ,3,4,5,6}, { 1, 1, } };
 
void setup() {
  // open a serial connection to display values
  Serial.begin(9600);
  // set the LED pins as outputs
  // the for() loop saves some extra coding
  for (int pinNumber = 2; pinNumber < 5; pinNumber++) {
    pinMode(pinNumber, OUTPUT);
    digitalWrite(pinNumber, LOW);}
    
  for (int thisReading = 0; thisReading < numReadings; thisReading++) {
  readings[thisReading] = 0;}
}


void loop() {
  // movingAverage
  // read the value on AnalogIn pin 0
  int sensorVal = analogRead(sensorPin);
  // subtract the last reading:
  total = total - readings[i];
  // read from the sensor:
  readings[i] = sensorVal;
  // add the reading to the total:
  total = total + readings[i];
  i++;   // advance to the next position in the array:
  if (i >= numReadings) {
  i = 0;
  }
  // calculate the average:
  average = total / numReadings;

  // send the 10-bit sensor value out the serial port
  // Serial.println("sensor Value: ");
   Serial.println(sensorVal);
 Serial.println(average);
  // convert the ADC reading average to voltage
  float voltage = (5.0 / 1024.0) * average;
  //Serial.println(", Volts: ");
  //Serial.println(voltage);

  // convert the voltage to pressure in kPa
  // the sensor changes 1,2 mV per kPa -> 1V change means 12 kPa
  // the datasheet says there's a 20 mV offset
  // ((volatge - 20mV) times 12)
  float pressure = (voltage - 0.020) * 12;
  // send it to the computer as ASCII digits
  //Serial.println("Average Pressure in kPa:");
  //Serial.println(pressure);
  

  if (sensorVal <= average){
    digitalWrite(3, LOW);
    digitalWrite(4, HIGH); 
    pumpCount++;
    
  } // if the pressure falls, turn on pump
  
  else if(sensorVal > average+1){
    digitalWrite(3, HIGH);
    digitalWrite(4, LOW);
    --pumpCount;
  } //if the pressure rises, turn on valve
 
  delay(1000);
  digitalWrite(3, LOW);
  digitalWrite(4, LOW);
  delay(1000);
  
}
