const int sensorPin = A0;
// room temperature in Celsius

float currentTemp;

void setup(){
  // open a serial connection to display values
  Serial.begin(9600);
  // set the LED pins as outputs
  // the for() loop saves some extra coding
  for(int pinNumber = 2; pinNumber<5; pinNumber++){
    pinMode(pinNumber,OUTPUT);
    digitalWrite(pinNumber, LOW);
  }
}

void loop(){
  // read the value on AnalogIn pin 0 
  // and store it in a variable
  int sensorVal = analogRead(sensorPin);

  // send the 10-bit sensor value out the serial port
  Serial.println("sensor Value: ");
  Serial.println(sensorVal); 

  // convert the ADC reading to voltage
  float voltage = (sensorVal/1024.0) * 5.0;

  // Send the voltage level out the Serial port
  Serial.println(", Volts: ");
  Serial.println(voltage);

  // convert the voltage to temperature in degrees C
  // the sensor changes 10 mV per degree
  // the datasheet says there's a 500 mV offset
  // ((volatge - 500mV) times 100)
  Serial.println(", degrees C: "); 
  float temperature = (voltage - .5) * 100;
  Serial.println(temperature);
 
  // if the temperature falls, open valve
  if(temperature < currentTemp){
    digitalWrite(3, LOW);
    digitalWrite(4, HIGH);
  } // if the temperature rises, turn on pump
   else if(temperature > currentTemp){
    digitalWrite(3, HIGH);
    digitalWrite(4, LOW);
  } //if the temperature falls, turn on valve
 
  currentTemp= temperature;
  Serial.println(", CurrentTemp ende schleife: ");
  Serial.println(currentTemp);
  Serial.println(temperature);
  delay(1000);
  digitalWrite(3, LOW);
  digitalWrite(4, LOW);
  delay(1000);
} 
